Package it.ernytech.tdlib

## Class TdApi.SetFileGenerationProgress

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetFileGenerationProgress

Enclosing class:
  TdApi

    public static class TdApi.SetFileGenerationProgress
    extends TdApi.Function

The next part of a file was generated.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `expectedSize` Expected size of the generated file, in bytes; 0 if unknown.
`long` `generationId` The identifier of the generation process.
`int` `localPrefixSize` The number of bytes already generated.

### Constructor Summary

Constructors
`SetFileGenerationProgress()` Default constructor.
`SetFileGenerationProgress​(long generationId, int expectedSize, int localPrefixSize)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### generationId

    public long generationId

The identifier of the generation process.

#### expectedSize

    public int expectedSize

Expected size of the generated file, in bytes; 0 if unknown.

#### localPrefixSize

    public int localPrefixSize

The number of bytes already generated.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetFileGenerationProgress

    public SetFileGenerationProgress()

Default constructor.

#### SetFileGenerationProgress

    public SetFileGenerationProgress​(long generationId,
                                     int expectedSize,
                                     int localPrefixSize)

Constructor for initialization of all fields.

Parameters:
  `generationId` - The identifier of the generation process.
  `expectedSize` - Expected size of the generated file, in bytes; 0 if unknown.
  `localPrefixSize` - The number of bytes already generated.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR